1. Dispatch Messages
Nifteem
  • Dispatch Messages
    • Request a message dispatch
      POST
    • Dispatch messages info
      GET
    • Cancel a message dispatch
      DELETE
  • Manage templates
    • Get all templates
      GET
  • User
    • User Information
      GET
  • Webhook for message status updates
  • Webhook for incoming message notification
  • Schemas
    • Channel
    • DispatchLogStatus
    • WebhookOutDispatchStatusPayload
    • WebhookOutEvent
    • WebhookOutModule
    • InMessageType
    • WebhookOutIncomingMessageDetailPayload
    • WebhookOutIncomingMessagePayload
    • ChannelIdentifierType
    • DispatchApiRequest
    • DispatchApiRequestChannelRcs
    • DispatchApiRequestChannelSms
    • DispatchApiRequestChannelWhatsapp
    • DispatchApiRequestChannels
    • DispatchApiRequestContent
    • DispatchApiRequestMessage
    • DispatchApiRequestMessageContentDocument
    • DispatchApiRequestMessageContentImage
    • DispatchApiRequestMessageContentText
    • DispatchApiRequestMessageContentVideo
    • DispatchApiRequestMessageTemplate
    • DispatchApiRequestRecipient
    • DispatchApiRequestRecipientIdentifier
    • DispatchApiRequestTranslation
    • SmsEncodingType
    • Template
    • TemplateApi
    • DispatchApi
    • DispatchApiMessage
    • DispatchApiMessageStatus
  1. Dispatch Messages

Request a message dispatch

POST
/v1/api/dispatch
It creates a multi-channel and multi-language message for multiple recipients. Please note that there is a limit of 1000 recipients per request.

Request

Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Message successfully sent
Bodyapplication/json

🟠400
🟠401
🟠403
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location 'https://prod.your-api-server.com/v1/api/dispatch' \
--header 'Content-Type: application/json' \
--data '{
    "message": {
        "languageDefault": "en",
        "translations": {
            "en": {
                "contents": [
                    {
                        "text": {
                            "body": "Hello {{firstname}}! This is a simple SMS test."
                        }
                    }
                ]
            }
        }
    },
    "recipients": [
        {
            "recipientIdentifiers": [
                {
                    "channelIdType": "MSISDN",
                    "channelIdentifier": "+39347XXXXXXX"
                }
            ],
            "placeholders": {
                "firstname": "Mark"
            }
        },
        {
            "recipientIdentifiers": [
                {
                    "channelIdType": "MSISDN",
                    "channelIdentifier": "+39349XXXXXXX"
                }
            ],
            "placeholders": {
                "firstname": "Robert"
            }
        }
    ],
    "channels": {
        "sms": {
            "senderId": "{{SMS_SENDER_ID}}"
        }
    },
    "countryCodeFixEnabled": true,
    "countryCodeDefault": "IT"
}'
Response Response Example
200 - Example 1
{
    "dispatchId": "0K0FHMEJ4DPFZ",
    "scheduleDate": "2025-03-05T12:00:10Z",
    "rejectedRecipients": []
}
Modified at 2026-06-04 06:45:36
Next
Dispatch messages info
Built with